## belltower 0.01-1

=== debian/changelog ===
belltower (0.01-1) unstable; urgency=low

  * Initial release

 -- Thomas Thurman <tthurman@gnome.org>  Sun, 30 Aug 2009 18:41:19 -0400

	

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/belltower.sgml > belltower.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/belltower.
	$(MAKE) DESTDIR=$(CURDIR)/debian/belltower install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## belltower 0.02-1

=== Makefile ===
all: belltower

install: belltower
	install -d ${DESTDIR}/usr/bin
	install belltower ${DESTDIR}/usr/bin
	install -d ${DESTDIR}/usr/share/applications/hildon
	install belltower.desktop ${DESTDIR}/usr/share/applications/hildon
	install -d ${DESTDIR}/usr/share/pixmaps
	install belltower.png ${DESTDIR}/usr/share/pixmaps
	install -d ${DESTDIR}/usr/share/belltower
	install dove.txt ${DESTDIR}/usr/share/belltower
	install bells1.jpg ${DESTDIR}/usr/share/belltower
	install static.ini ${DESTDIR}/usr/share/belltower

belltower: belltower.c
	gcc `pkg-config --cflags --libs glib-2.0 hildon-1 liblocation` -g -o belltower belltower.c

=== debian/changelog ===
belltower (0.02-1) unstable; urgency=low

  * Lists of towers can be sorted in various ways
  * Distances can be shown in miles or kilometres

 -- Thomas Thurman <tthurman@gnome.org>  Mon, 31 Aug 2009 20:11:31 -0400

=== debian/control ===
Source: belltower
Section: user/navigation
Priority: extra
Maintainer: Thomas Thurman <tthurman@gnome.org>
Build-Depends: debhelper (>= 5), libhildon1-dev, libdbus-glib-1-dev, libdbus-1-dev, liblocation-dev
Standards-Version: 3.7.2

Package: belltower
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a list of belltowers
  Lists all the towers hung for change-ringing in the world.
XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABGdBTUEAALGP
  C/xhBQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUw
  AADqYAAAOpgAABdwnLpRPAAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAAL
  EwAACxMBAJqcGAAAAAl2cEFnAAAAGgAAABoAB7JmLwAABp9JREFUSMdNlEuP
  HWcRhp/6bt3n9DlnZrDHnvHYSTxJbAJEUSQQEkIIZcHv4pexAFaESJFiYpGr
  49hOMlefa3d/t2IxWbAqqTb11vs+VfKHD97VA1NwpZBSZYdlI5b1nRl5VA7a
  I27NLM1wwZ4ou7v7vDjfsvhxw+8fHONPj3j64ozz9YbD23M+PP0lp6eP2Gst
  Vz9d8uyTf5H8FBeN4UwLtULMUIFpMIQ+oiczfv27j5hu1jx/+g+enJ9z9Z8r
  3FhoXcd14/n0X58zrJd0Dx6TWseZCmkZid9d8s7xPR5/9Be++PvfsHun9//6
  06xFtFJzZdVHOmeQIdM7Ib1xh/cOT+i//4J1P9DYwOn+Hicn9+jVssvK3sEB
  8zdPuHP/XY6P3iIp/PPfn3C9WvP+hx+w//AhrjEG8Q6dBOalMm4jcRzJ1rG/
  VRbLFXfvN7T3j3j88G2oBq2wv79glMA7rsP4liQQfcdrGppJx5uPfsO3337D
  x0+e8uc//hbXjZlbMbG+3VBFuO8mPNifc/LGMQ/u3GbXnfDlTwOvXp5z1Fxy
  ezpBmjmrtaCTA5wXGu9ZOIs6w0octe04ePQ+s7cesdte8PzlGa47CMzEMHnn
  mF9N59xVmAWPiPDi4oLvXix5ziF5J4zLc147w9GtW/j9e9gAPkZU12gITOd7
  3G0MEmBbQdqW2eEpZ+evcOZ4xnv3j/jw8BC32/Lj+ZKrYYczhqv1Gu0zbdoQ
  mz3G3PNqdY1vtuxNM7bfUBC8ClXBTQrqK1MKcxGwjkYK56+e4Q53ibfGRLy4
  YDWOxDgyn05Z9yNDzKSSCWXFtA2cVUOvnuuhMBm2mFIpKZHbOW3XkUuBUm+q
  CGTly6+f8M3XX+I+vPcLSspcjZEuGBatZTMMrPrEmDO7ITKMiQ6DzwPjmBnO
  rxlToWkmlNBiZgeUvVuM1mPDFKmZ1fKSzz77lFcvnzFbHOGSBhonaElUseyG
  gc2YGcaMxsi43jAMiTJWjLWkzZZ1ibwaBmaNx1nHdLEkOMHFBenqez757DlP
  nn7OxfUVb987YTqd4z5+tubxu6fc3lesjtgiSBqQEqEfybuBMRaGsXKwaLA5
  YY3BhZb5YoqddjDpOE87nn31KS8vLtn2kVIV2zR0XYNDcP/94XvWzZw7d+5x
  EAJT1+H3hekso/sDzRDZxJF+THRdy+RBIeXEUArPc2SzXbM5f4FQmE0DiuCk
  UrWQqKARTRF3EXvsq69QrZw7h9aCbaaEdooPc+rMcamZ1+vXhFgpqTJsRrRG
  cr+m9juMFhpn8M6RUyLGyDpGklNW6xUL3eFQ4Wy9xjc/cHBwGy0JNDLqyBg9
  qRq2ys2LKhVjhKb11FQo20KJCUzFBI9QsUYoVdmNkdZYzq+3vFGWuIV3xK5l
  1RnU9LRjwecRqxn8hFgVHQuokEpBa4IyUnNCRPHB0HiLMQIK3lqyFqooXRMI
  qdBtrnHhbouZtvR5ZNVvmBTHHZ0hr1fQRKqfUBSqgpJ/3riCVoJ3iJlgtWC0
  oKoUVaIoRYS5BP50/4iHF69xZ7sNNW7JBjTCKMK0mdD5QNqu0RZst8A5D6po
  jtQyUsceSWC0YBVUhZwz1hhyqVg1HGbhoI+4kjGbGBlqpuaCxIKsI9uzC9QE
  cq3EfovUhLWCCw2uaQihQVQQFGcFYwQxBhQAjEyZhHvsiiOtl8wUnGktKsCm
  YtcVMyh93jDsjUhoIY5orTgfEOPACuI9miKMis0VrRmRm4xqKTizRykty7Rl
  5wvGBoxbNbjUIN6gDtQKJUzYrXY03jNtHCF4QtMQmhbXtBgfCO3k54wA9MZW
  BTdxLA6E2l9ytdmRxsJSwRRn8FcGE4XSQWmUVIXl1SUlF5xzNG1L00wIIeCd
  xzqPMRaMuYFEDIIgAgah3UsYH6mAR7hUxY23CvV1j/4QkUOLERC/ZhxhGBK+
  c1gXMNYhNmDEIADek53FAEUVVUVQxuXIsNwhDrwxTNSwdYoxE0M+9jfsLxWw
  qKnQWTIFayzOeYxvwAXEeqy1GGtuhhpBVDEoBsgps/xxQ1j37OcBFxOXwWF8
  FczMYY87mjrH9ALGomJIGm8OUQxGLNYYrLGIGEQs/J9lqoo1QmMFyYUUIwsq
  pWReOME0A7gMMvdoMxJixatHjKGUEYxDfItpZ1g/xbhw0zPuRhBCrUKtkIsi
  CvsCuSquVHYiRCxuUYQRyyoXdCqY6jDVU0wh5wTWIWGCuIBoBesxNoDxVHE/
  wwCqMMRCkypGwRnDzDuWjcVX4X/ZmKo5dlSIywAAABl0RVh0Q29tbWVudABD
  cmVhdGVkIHdpdGggR0lNUFeBDhcAAAAldEVYdGNyZWF0ZS1kYXRlADIwMDkt
  MDgtMzBUMTg6NDI6MzctMDQ6MDAXUnacAAAAJXRFWHRtb2RpZnktZGF0ZQAy
  MDA5LTA4LTMwVDE4OjQyOjM3LTA0OjAwSOMAqAAAAABJRU5ErkJggg==

## belltower 0.03-1

=== Makefile ===
all: belltower

install: belltower
	install -d ${DESTDIR}/usr/bin
	install belltower ${DESTDIR}/usr/bin
	install -d ${DESTDIR}/usr/share/applications/hildon
	install belltower.desktop ${DESTDIR}/usr/share/applications/hildon
	install -d ${DESTDIR}/usr/share/pixmaps
	install belltower.png ${DESTDIR}/usr/share/pixmaps
	install -d ${DESTDIR}/opt/belltower
	install dove.txt ${DESTDIR}/opt/belltower
	install bells1.jpg ${DESTDIR}/opt/belltower
	install static.ini ${DESTDIR}/opt/belltower

belltower: belltower.c
	gcc `pkg-config --cflags --libs glib-2.0 hildon-1 liblocation` -g -o belltower belltower.c

=== debian/changelog ===
belltower (0.03-1) unstable; urgency=low

  * Moved large files into /opt

 -- Thomas Thurman <tthurman@gnome.org>  Sun, 15 Nov 2009 07:20:00 -0500
